// LnkFileIcons.idl : IDL source for LnkFileIcons.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (LnkFileIcons.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(28995D35-4A8D-432c-A25D-D8BF75D70F5C),
		dual,
		helpstring("ILnkIconShlExt Interface"),
		pointer_default(unique)
	]
	interface ILnkIconShlExt : IDispatch
	{
	};

[
	uuid(FC3DA8B5-1644-4d37-B2D7-2304E8C7C332),
	version(1.0),
	helpstring("LnkFileIcons 1.0 Type Library")
]
library LNKFILEICONSLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(108B6B1D-5D24-4b01-BC59-11A635406E08),
		helpstring("LnkIconShlExt Class")
	]
	coclass LnkIconShlExt
	{
		[default] interface ILnkIconShlExt;
	};
};
